function [EA, EB, DA, DB, sdA, sdB, covAB, corrAB] = calc_2_port(ER, VR, wA, wB)
% ER --- (nx1)-    ;
% VR --- (nxn)     ;
% wA --- (nx1)- ,        A;
% wB --- (nx1)- ,        B;
% EA ---    A;
% EB ---    B;
% DA ---    A;
% DB ---    B;
% sdA ---     A;
% sdB ---     B;
% covAB ---     A  B;
% corrAB ---     A  B.
EA = wA' * ER;
EB = wB' * ER;
DA = wA' * VR * wA;
DB = wB' * VR * wB;
sdA = sqrt(DA);
sdB = sqrt(DB);
covAB = wA' * VR * wB;
corrAB = covAB / (sdA * sdB);